__PREFIX_BEGIN__
//-----------------------------------------------------------------------------
// Copyright  2003 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	libh/callsign
// homepage	http://libh.slashusr.org/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	libh at ipal dot org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 120 columns wide.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// file		callsign.h
//-----------------------------------------------------------------------------
#ifndef __CALLSIGN_H__
#define __CALLSIGN_H__

__PREFIX_END__

__INCLUDE_BEGIN__
#include <stdio.h>
__INCLUDE_END__

__DEFINE_BEGIN__
//-----------------------------------------------------------------------------
// struct	country_call
//-----------------------------------------------------------------------------
struct country_call {
    const char *	code			;
    const char *	call_first		;
    const char *	call_last		;
};

//-----------------------------------------------------------------------------
// struct	country_name
//-----------------------------------------------------------------------------
struct country_name {
    const char *	code			;
    const char *	name_sorting		;
    const char *	name_short		;
    const char *	name_long		;
};

__DEFINE_END__

__SUFFIX_BEGIN__
#endif /* __CALLSIGN_H__ */
__SUFFIX_END__
