//-----------------------------------------------------------------------------
// Copyright  2003 - Philip Howard - All rights reserved
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	libh/io
// homepage	http://libh.slashusr.org/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	libh at ipal dot org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------
// This file is best viewed using a fixed spaced font such as Courier
// and in a display at least 120 columns wide.
//-----------------------------------------------------------------------------

#include <stdio.h>

#include <libh/io.h>

//-----------------------------------------------------------------------------
// program	test_get_line_file
//
// purpose	Test the get_line_file() function.
//
// usage	test_get_line_file < datafile
//-----------------------------------------------------------------------------
int
main ()
{
    int		rc			;
    char	line_space	[80]	;

    for (;;) {
	rc = get_line_file( line_space, 80, stdin );
	if ( rc < -1 ) break;
	else if ( rc == 0 ) {
	    printf( "complete line = \"%s\"\n", line_space );
	}
	else {
	    printf( "truncated line = \"%s\"\n", line_space );
	}
    }

    return 0;
}
